Subject: Re: Merges without bases

From: Darrin Thompson <[email-masked]>
Date: Thu, 25 Aug 2005 16:29:38 -0500

That didn't come out clearly. Restating:

On Thu, 2005-08-25 at 16:10 -0500, Darrin Thompson wrote:
> Could git-read-tree -m 3-args be made smart enough to treat a 0 as arg 1
> as an implicit empty tree?
> 

Could git-read-tree -m treat an argument of "0" as an implicit empty
tree? It mainly seems useful as the first arg in the three arg -m form.

> Once that is done, git octopus will be able to handle the no merge base
> case.
> 

Once that is done, git octopus could _optionally_ handle the "I can't
find a merge base" case by passing 0 as the merge base to git-read-tree.

--
Darrin